Package com.collabnet.ce.soap60.webservices.cemain

# Class OperationConstants

java.lang.Object
com.collabnet.ce.soap60.webservices.cemain.OperationConstants

public class OperationConstants extends Object
List of access control operations constants.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ARTIFACT_DELETE_DELETE`
  Operation type ("Artifact.delete.delete")
  `static final String`
  `ARTIFACT_EDIT_EDIT`
  Operation type ("Artifact.edit.edit")
  `static final String`
  `ARTIFACT_VIEW_VIEW`
  Operation type ("Artifact.view.view")
  `static final String`
  `BASELINE_ADMIN_ADMIN`
  Operation type ("Baseline.admin.admin")
  `static final String`
  `BASELINE_CREATE_CREATEBASELINE`
  Operation type ("Baseline.create.createBaseline")
  `static final String`
  `BASELINE_CREATE_CREATEPROJECTBASELINE`
  Operation type ("Baseline.create.createProjectBaseline")
  `static final String`
  `BASELINE_DELETE_DELETEBASELINE`
  Operation type ("Baseline.delete.deleteBaseline")
  `static final String`
  `BASELINE_DELETE_DELETEBASELINEDEFINITION`
  Operation type ("Baseline.delete.deleteBaselineDefinition")
  `static final String`
  `BASELINE_EDIT_CONFIGUREBDEF`
  Operation type ("Baseline.edit.configureBDef")
  `static final String`
  `BASELINE_VIEW_PACKAGEDOWNLOAD`
  Operation type ("Baseline.view.packageDownload")
  `static final String`
  `BASELINE_VIEW_PACKAGEGENERATION`
  Operation type ("Baseline.view.packageGeneration")
  `static final String`
  `BASELINE_VIEW_REVIEW`
  Operation type ("Baseline.view.review")
  `static final String`
  `BASELINE_VIEW_VIEW`
  Operation type ("Baseline.view.view")
  `static final String`
  `CATEGORY_ADMIN_ADMIN`
  Operation type ("Category.admin.admin")
  `static final String`
  `CATEGORY_CREATE_CREATE`
  Operation type ("Category.create.create")
  `static final String`
  `CATEGORY_DELETE_DELETE`
  Operation type ("Category.delete.delete")
  `static final String`
  `CATEGORY_EDIT_EDIT`
  Operation type ("Category.edit.edit")
  `static final String`
  `CATEGORY_VIEW_LIST`
  Operation type ("Category.view.list")
  `static final String`
  `CATEGORY_VIEW_VIEW`
  Operation type ("Category.view.view")
  `static final String`
  `COMMIT_EDIT_EDIT`
  Operation type ("Commit.edit.edit")
  `static final String`
  `COMMIT_VIEW_VIEW`
  Operation type ("Commit.view.view")
  `static final String`
  `DATAMARTAPPFOLDER_VIEW_VIEW`
  Operation type ("DatamartAppFolder.view.view")
  `static final String`
  `DISCUSSIONAPPFOLDER_ADMIN_ADMIN`
  Operation type ("DiscussionAppFolder.admin.admin")
  `static final String`
  `DISCUSSIONAPPFOLDER_CREATE_CREATEFORUM`
  Operation type ("DiscussionAppFolder.create.createForum")
  `static final String`
  `DISCUSSIONAPPFOLDER_VIEW_VIEW`
  Operation type ("DiscussionAppFolder.view.view")
  `static final String`
  `DISCUSSIONAPPFOLDER_VIEW_VIEWPRIVATEFOLDERFORUM`
  Operation type ("DiscussionAppFolder.view.viewPrivateFolderForum")
  `static final String`
  `DOCUMENT_ADMIN_FORCE_UNLOCK`
  Operation type ("Document.admin.force_unlock")
  `static final String`
  `DOCUMENT_DELETE_DELETE`
  Operation type ("Document.delete.delete")
  `static final String`
  `DOCUMENT_EDIT_EDIT`
  Operation type ("Document.edit.edit")
  `static final String`
  `DOCUMENT_VIEW_VIEW`
  Operation type ("Document.view.view")
  `static final String`
  `DOCUMENTAPPFOLDER_VIEW_VIEW`
  Operation type ("DocumentAppFolder.view.view")
  `static final String`
  `DOCUMENTFOLDER_ADMIN_ADMIN`
  Operation type ("DocumentFolder.admin.admin")
  `static final String`
  `DOCUMENTFOLDER_CREATE_CREATEDOCUMENT`
  Operation type ("DocumentFolder.create.createDocument")
  `static final String`
  `DOCUMENTFOLDER_CREATE_CREATEDOCUMENTFOLDER`
  Operation type ("DocumentFolder.create.createDocumentFolder")
  `static final String`
  `DOCUMENTFOLDER_DELETE_DELETE`
  Operation type ("DocumentFolder.delete.delete")
  `static final String`
  `DOCUMENTFOLDER_EDIT_EDIT`
  Operation type ("DocumentFolder.edit.edit")
  `static final String`
  `DOCUMENTFOLDER_VIEW_VIEW`
  Operation type ("DocumentFolder.view.view")
  `static final String`
  `FORUM_CREATE_CREATEPRIVATETOPIC`
  Operation type ("Forum.create.createPrivateTopic")
  `static final String`
  `FORUM_CREATE_CREATETOPIC`
  Operation type ("Forum.create.createTopic")
  `static final String`
  `FORUM_DELETE_DELETE`
  Operation type ("Forum.delete.delete")
  `static final String`
  `FORUM_DELETE_DELETEPRIVATEFORUM`
  Operation type ("Forum.delete.deletePrivateForum")
  `static final String`
  `FORUM_EDIT_EDIT`
  Operation type ("Forum.edit.edit")
  `static final String`
  `FORUM_VIEW_VIEW`
  Operation type ("Forum.view.view")
  `static final String`
  `FORUM_VIEW_VIEWPRIVATEFORUM`
  Operation type ("Forum.view.viewPrivateForum")
  `static final String`
  `FRSAPPFOLDER_CREATE_CREATEPACKAGE`
  Operation type ("FrsAppFolder.create.createPackage")
  `static final String`
  `FRSAPPFOLDER_VIEW_VIEW`
  Operation type ("FrsAppFolder.view.view")
  `static final String`
  `FRSFILE_DELETE_DELETE`
  Operation type ("FrsFile.delete.delete")
  `static final String`
  `FRSFILE_EDIT_EDIT`
  Operation type ("FrsFile.edit.edit")
  `static final String`
  `FRSFILE_VIEW_VIEW`
  Operation type ("FrsFile.view.view")
  `static final String`
  `GROUP_ADMIN_ADMIN`
  Operation type ("Group.admin.admin")
  `static final String`
  `GROUP_CREATE_CREATE`
  Operation type ("Group.create.create")
  `static final String`
  `GROUP_DELETE_DELETE`
  Operation type ("Group.delete.delete")
  `static final String`
  `GROUP_EDIT_ADDUSER`
  Operation type ("Group.edit.addUser")
  `static final String`
  `GROUP_EDIT_EDIT`
  Operation type ("Group.edit.edit")
  `static final String`
  `GROUP_EDIT_REMOVEUSER`
  Operation type ("Group.edit.removeUser")
  `static final String`
  `GROUP_VIEW_LIST`
  Operation type ("Group.view.list")
  `static final String`
  `GROUP_VIEW_VIEW`
  Operation type ("Group.view.view")
  `static final String`
  `INTEGRATION_EDIT_EDIT_SCM`
  Operation type ("Integration.edit.edit_scm")
  `static final String`
  `INTEGRATION_EDIT_EDIT_SWLA`
  Operation type ("Integration.edit.edit_swla")
  `static final String`
  `INTEGRATION_VIEW_LIST`
  Operation type ("Integration.view.list")
  `static final String`
  `INTEGRATION_VIEW_VIEW`
  Operation type ("Integration.view.view")
  `static final String`
  `INTEGRATION_VIEW_VIEW_SCM`
  Operation type ("Integration.view.view_scm")
  `static final String`
  `INTEGRATION_VIEW_VIEW_SWLA`
  Operation type ("Integration.view.view_swla")
  `static final String`
  `NEWSAPPFOLDER_CREATE_CREATEPOST`
  Operation type ("NewsAppFolder.create.createPost")
  `static final String`
  `NEWSPOST_DELETE_DELETE`
  Operation type ("NewsPost.delete.delete")
  `static final String`
  `NEWSPOST_EDIT_EDIT`
  Operation type ("NewsPost.edit.edit")
  `static final String`
  `PACKAGE_CREATE_CREATERELEASE`
  Operation type ("Package.create.createRelease")
  `static final String`
  `PACKAGE_DELETE_DELETE`
  Operation type ("Package.delete.delete")
  `static final String`
  `PACKAGE_EDIT_EDIT`
  Operation type ("Package.edit.edit")
  `static final String`
  `PACKAGE_VIEW_VIEW`
  Operation type ("Package.view.view")
  `static final String`
  `PAGE_CREATE_CREATEPAGE`
  Operation type ("Page.create.createPage")
  `static final String`
  `PAGE_CREATE_CREATEPAGECOMPONENT`
  Operation type ("Page.create.createPageComponent")
  `static final String`
  `PAGE_DELETE_DELETEPAGE`
  Operation type ("Page.delete.deletePage")
  `static final String`
  `PAGE_DELETE_DELETEPAGECOMPONENT`
  Operation type ("Page.delete.deletePageComponent")
  `static final String`
  `PAGE_EDIT_EDITHTML`
  Operation type ("Page.edit.editHtml")
  `static final String`
  `PAGE_EDIT_EDITPAGE`
  Operation type ("Page.edit.editPage")
  `static final String`
  `PAGE_VIEW_VIEW`
  Operation type ("Page.view.view")
  `static final String`
  `PAGEAPPFOLDER_CREATE_CREATEPAGE`
  Operation type ("PageAppFolder.create.createPage")
  `static final String`
  `PAGEAPPFOLDER_DELETE_DELETEPAGE`
  Operation type ("PageAppFolder.delete.deletePage")
  `static final String`
  `PAGEAPPFOLDER_VIEW_VIEW`
  Operation type ("PageAppFolder.view.view")
  `static final String`
  `PAGECOMPONENT_VIEW_VIEW`
  Operation type ("PageComponent.view.view")
  `static final String`
  `PLANNINGAPPFOLDER_ADMIN_ADMIN`
  Operation type ("PlanningAppFolder.admin.admin")
  `static final String`
  `PLANNINGAPPFOLDER_ADMIN_RANK`
  Operation type ("PlanningAppFolder.admin.rank")
  `static final String`
  `PLANNINGAPPFOLDER_DELETE_DELETE`
  Operation type ("PlanningAppFolder.delete.delete")
  `static final String`
  `POST_DELETE_DELETE`
  Operation type ("Post.delete.delete")
  `static final String`
  `POST_DELETE_DELETEPRIVATEPOST`
  Operation type ("Post.delete.deletePrivatePost")
  `static final String`
  `POST_EDIT_EDIT`
  Operation type ("Post.edit.edit")
  `static final String`
  `POST_EDIT_EDITPRIVATEPOST`
  Operation type ("Post.edit.editPrivatePost")
  `static final String`
  `POST_VIEW_VIEW`
  Operation type ("Post.view.view")
  `static final String`
  `POST_VIEW_VIEWPRIVATEPOST`
  Operation type ("Post.view.viewPrivatePost")
  `static final String`
  `PROJECT_ADMIN_ADMIN`
  Operation type ("Project.admin.admin")
  `static final String`
  `PROJECT_ADMIN_MANAGE_MEMBERSHIP`
  Operation type ("Project.admin.manage_membership")
  `static final String`
  `PROJECT_ADMIN_SITEWIDEPROJECTADMIN`
  Operation type ("Project.admin.siteWideProjectAdmin")
  `static final String`
  `PROJECT_CREATE_CREATEPROJECT`
  Operation type ("Project.create.createProject")
  `static final String`
  `PROJECT_CREATE_CREATEROLE`
  Operation type ("Project.create.createRole")
  `static final String`
  `PROJECT_DELETE_DELETE`
  Operation type ("Project.delete.delete")
  `static final String`
  `PROJECT_DELETE_DELETEPROJECT`
  Operation type ("Project.delete.deleteProject")
  `static final String`
  `PROJECT_EDIT_EDIT`
  Operation type ("Project.edit.edit")
  `static final String`
  `PROJECT_INFO_VIEW`
  Operation type ("Project.info.view")
  `static final String`
  `PROJECT_VIEW_LIST`
  Operation type ("Project.view.list")
  `static final String`
  `PROJECT_VIEW_VIEW`
  Operation type ("Project.view.view")
  `static final String`
  `PROJECTGROUP_ADMIN_ADMIN`
  Operation type ("ProjectGroup.admin.admin")
  `static final String`
  `PROJECTGROUP_CREATE_CREATE`
  Operation type ("ProjectGroup.create.create")
  `static final String`
  `PROJECTGROUP_DELETE_DELETE`
  Operation type ("ProjectGroup.delete.delete")
  `static final String`
  `PROJECTGROUP_VIEW_LIST`
  Operation type ("ProjectGroup.view.list")
  `static final String`
  `PROJECTGROUP_VIEW_VIEW`
  Operation type ("ProjectGroup.view.view")
  `static final String`
  `RELEASE_CREATE_CREATEFRSFILE`
  Operation type ("Release.create.createFrsFile")
  `static final String`
  `RELEASE_DELETE_DELETE`
  Operation type ("Release.delete.delete")
  `static final String`
  `RELEASE_EDIT_EDIT`
  Operation type ("Release.edit.edit")
  `static final String`
  `RELEASE_VIEW_VIEW`
  Operation type ("Release.view.view")
  `static final String`
  `REPOSITORY_DELETE_DELETE`
  Operation type ("Repository.delete.delete")
  `static final String`
  `REPOSITORY_EDIT_EDIT`
  Operation type ("Repository.edit.edit")
  `static final String`
  `REPOSITORY_FGP_FGP`
  Operation type ("Repository.fgp.fgp")
  `static final String`
  `REPOSITORY_USE_ACCESS`
  Operation type ("Repository.use.access")
  `static final String`
  `REPOSITORY_VIEW_RBAC`
  Operation type ("Repository.view.rbac")
  `static final String`
  `REPOSITORY_VIEW_VIEW`
  Operation type ("Repository.view.view")
  `static final String`
  `ROLE_ADMIN_ADMIN`
  Operation type ("Role.admin.admin")
  `static final String`
  `ROLE_CREATE_CREATE`
  Operation type ("Role.create.create")
  `static final String`
  `ROLE_DELETE_DELETE`
  Operation type ("Role.delete.delete")
  `static final String`
  `ROLE_EDIT_ADDDEFAULTUSERCLASS`
  Operation type ("Role.edit.addDefaultUserClass")
  `static final String`
  `ROLE_EDIT_ADDOPERATION`
  Operation type ("Role.edit.addOperation")
  `static final String`
  `ROLE_EDIT_ADDUSER`
  Operation type ("Role.edit.addUser")
  `static final String`
  `ROLE_EDIT_EDIT`
  Operation type ("Role.edit.edit")
  `static final String`
  `ROLE_EDIT_REMOVEDEFAULTUSERCLASS`
  Operation type ("Role.edit.removeDefaultUserClass")
  `static final String`
  `ROLE_EDIT_REMOVEOPERATION`
  Operation type ("Role.edit.removeOperation")
  `static final String`
  `ROLE_EDIT_REMOVEUSER`
  Operation type ("Role.edit.removeUser")
  `static final String`
  `ROLE_VIEW_LIST`
  Operation type ("Role.view.list")
  `static final String`
  `ROLE_VIEW_VIEW`
  Operation type ("Role.view.view")
  `static final String`
  `SCMAPPFOLDER_CREATE_CREATEREPOSITORY`
  Operation type ("ScmAppFolder.create.createRepository")
  `static final String`
  `SCMAPPFOLDER_VIEW_VIEW`
  Operation type ("ScmAppFolder.view.view")
  `static final String`
  `SYSTOOLS_VIEW_LIST`
  Operation type ("SysTools.view.list")
  `static final String`
  `SYSTOOLS_VIEW_VIEW`
  Operation type ("SysTools.view.view")
  `static final String`
  `TOPIC_CREATE_CREATEPOST`
  Operation type ("Topic.create.createPost")
  `static final String`
  `TOPIC_CREATE_CREATEPRIVATEPOST`
  Operation type ("Topic.create.createPrivatePost")
  `static final String`
  `TOPIC_DELETE_DELETE`
  Operation type ("Topic.delete.delete")
  `static final String`
  `TOPIC_DELETE_DELETEPRIVATETOPIC`
  Operation type ("Topic.delete.deletePrivateTopic")
  `static final String`
  `TOPIC_EDIT_EDIT`
  Operation type ("Topic.edit.edit")
  `static final String`
  `TOPIC_EDIT_EDITPRIVATETOPIC`
  Operation type ("Topic.edit.editPrivateTopic")
  `static final String`
  `TOPIC_VIEW_VIEW`
  Operation type ("Topic.view.view")
  `static final String`
  `TOPIC_VIEW_VIEWPRIVATETOPIC`
  Operation type ("Topic.view.viewPrivateTopic")
  `static final String`
  `TRACKER_ADMIN_ADMIN`
  Operation type ("Tracker.admin.admin")
  `static final String`
  `TRACKER_CREATE_CREATEARTIFACT`
  Operation type ("Tracker.create.createArtifact")
  `static final String`
  `TRACKER_DELETE_DELETE`
  Operation type ("Tracker.delete.delete")
  `static final String`
  `TRACKER_EDIT_EDIT`
  Operation type ("Tracker.edit.edit")
  `static final String`
  `TRACKER_VIEW_VIEW`
  Operation type ("Tracker.view.view")
  `static final String`
  `TRACKERAPPFOLDER_ADMIN_ADMIN`
  Operation type ("TrackerAppFolder.admin.admin")
  `static final String`
  `TRACKERAPPFOLDER_CREATE_CREATETRACKER`
  Operation type ("TrackerAppFolder.create.createTracker")
  `static final String`
  `TRACKERAPPFOLDER_VIEW_VIEW`
  Operation type ("TrackerAppFolder.view.view")
  `static final String`
  `USER_ADMIN_ADMIN`
  Operation type ("User.admin.admin")
  `static final String`
  `USER_CREATE_CREATE`
  Operation type ("User.create.create")
  `static final String`
  `USER_DELETE_DELETE`
  Operation type ("User.delete.delete")
  `static final String`
  `USER_EDIT_ACTIVATE`
  Operation type ("User.edit.activate")
  `static final String`
  `USER_EDIT_DISABLE`
  Operation type ("User.edit.disable")
  `static final String`
  `USER_EDIT_EDIT`
  Operation type ("User.edit.edit")
  `static final String`
  `USER_EDIT_MANAGEKEYS`
  Operation type ("User.edit.manageKeys")
  `static final String`
  `USER_EDIT_MANAGEPREFERENCE`
  Operation type ("User.edit.managePreference")
  `static final String`
  `USER_VIEW_LIST`
  Operation type ("User.view.list")
  `static final String`
  `USER_VIEW_VIEW`
  Operation type ("User.view.view")
  `static final String`
  `WIKIAPPFOLDER_CREATE_CREATEWIKIPAGE`
  Operation type ("WikiAppFolder.create.createWikiPage")
  `static final String`
  `WIKIAPPFOLDER_VIEW_VIEW`
  Operation type ("WikiAppFolder.view.view")
  `static final String`
  `WIKIPAGE_ADMIN_ADMIN`
  Operation type ("WikiPage.admin.admin")
  `static final String`
  `WIKIPAGE_DELETE_DELETE`
  Operation type ("WikiPage.delete.delete")
  `static final String`
  `WIKIPAGE_EDIT_EDIT`
  Operation type ("WikiPage.edit.edit")
  `static final String`
  `WIKIPAGE_VIEW_VIEW`
  Operation type ("WikiPage.view.view")

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OperationConstants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PROJECT_ADMIN_ADMIN

    public static final String PROJECT_ADMIN_ADMIN
    Operation type ("Project.admin.admin")
    See Also:
      - Constant Field Values

  - ### PROJECT_ADMIN_MANAGE_MEMBERSHIP

    public static final String PROJECT_ADMIN_MANAGE_MEMBERSHIP
    Operation type ("Project.admin.manage_membership")
    See Also:
      - Constant Field Values

  - ### PROJECT_DELETE_DELETE

    public static final String PROJECT_DELETE_DELETE
    Operation type ("Project.delete.delete")
    See Also:
      - Constant Field Values

  - ### PROJECT_EDIT_EDIT

    public static final String PROJECT_EDIT_EDIT
    Operation type ("Project.edit.edit")
    See Also:
      - Constant Field Values

  - ### PROJECT_CREATE_CREATEROLE

    public static final String PROJECT_CREATE_CREATEROLE
    Operation type ("Project.create.createRole")
    See Also:
      - Constant Field Values

  - ### PROJECT_VIEW_VIEW

    public static final String PROJECT_VIEW_VIEW
    Operation type ("Project.view.view")
    See Also:
      - Constant Field Values

  - ### ROLE_EDIT_EDIT

    public static final String ROLE_EDIT_EDIT
    Operation type ("Role.edit.edit")
    See Also:
      - Constant Field Values

  - ### ROLE_EDIT_ADDDEFAULTUSERCLASS

    public static final String ROLE_EDIT_ADDDEFAULTUSERCLASS
    Operation type ("Role.edit.addDefaultUserClass")
    See Also:
      - Constant Field Values

  - ### ROLE_EDIT_ADDOPERATION

    public static final String ROLE_EDIT_ADDOPERATION
    Operation type ("Role.edit.addOperation")
    See Also:
      - Constant Field Values

  - ### ROLE_EDIT_ADDUSER

    public static final String ROLE_EDIT_ADDUSER
    Operation type ("Role.edit.addUser")
    See Also:
      - Constant Field Values

  - ### ROLE_EDIT_REMOVEDEFAULTUSERCLASS

    public static final String ROLE_EDIT_REMOVEDEFAULTUSERCLASS
    Operation type ("Role.edit.removeDefaultUserClass")
    See Also:
      - Constant Field Values

  - ### ROLE_EDIT_REMOVEOPERATION

    public static final String ROLE_EDIT_REMOVEOPERATION
    Operation type ("Role.edit.removeOperation")
    See Also:
      - Constant Field Values

  - ### ROLE_EDIT_REMOVEUSER

    public static final String ROLE_EDIT_REMOVEUSER
    Operation type ("Role.edit.removeUser")
    See Also:
      - Constant Field Values

  - ### ROLE_DELETE_DELETE

    public static final String ROLE_DELETE_DELETE
    Operation type ("Role.delete.delete")
    See Also:
      - Constant Field Values

  - ### ROLE_VIEW_VIEW

    public static final String ROLE_VIEW_VIEW
    Operation type ("Role.view.view")
    See Also:
      - Constant Field Values

  - ### ROLE_ADMIN_ADMIN

    public static final String ROLE_ADMIN_ADMIN
    Operation type ("Role.admin.admin")
    See Also:
      - Constant Field Values

  - ### PROJECT_INFO_VIEW

    public static final String PROJECT_INFO_VIEW
    Operation type ("Project.info.view")
    See Also:
      - Constant Field Values

  - ### PROJECT_ADMIN_SITEWIDEPROJECTADMIN

    public static final String PROJECT_ADMIN_SITEWIDEPROJECTADMIN
    Operation type ("Project.admin.siteWideProjectAdmin")
    See Also:
      - Constant Field Values

  - ### PROJECT_CREATE_CREATEPROJECT

    public static final String PROJECT_CREATE_CREATEPROJECT
    Operation type ("Project.create.createProject")
    See Also:
      - Constant Field Values

  - ### PROJECT_DELETE_DELETEPROJECT

    public static final String PROJECT_DELETE_DELETEPROJECT
    Operation type ("Project.delete.deleteProject")
    See Also:
      - Constant Field Values

  - ### PROJECT_VIEW_LIST

    public static final String PROJECT_VIEW_LIST
    Operation type ("Project.view.list")
    See Also:
      - Constant Field Values

  - ### NEWSAPPFOLDER_CREATE_CREATEPOST

    public static final String NEWSAPPFOLDER_CREATE_CREATEPOST
    Operation type ("NewsAppFolder.create.createPost")
    See Also:
      - Constant Field Values

  - ### NEWSPOST_DELETE_DELETE

    public static final String NEWSPOST_DELETE_DELETE
    Operation type ("NewsPost.delete.delete")
    See Also:
      - Constant Field Values

  - ### NEWSPOST_EDIT_EDIT

    public static final String NEWSPOST_EDIT_EDIT
    Operation type ("NewsPost.edit.edit")
    See Also:
      - Constant Field Values

  - ### ROLE_CREATE_CREATE

    public static final String ROLE_CREATE_CREATE
    Operation type ("Role.create.create")
    See Also:
      - Constant Field Values

  - ### ROLE_VIEW_LIST

    public static final String ROLE_VIEW_LIST
    Operation type ("Role.view.list")
    See Also:
      - Constant Field Values

  - ### DISCUSSIONAPPFOLDER_CREATE_CREATEFORUM

    public static final String DISCUSSIONAPPFOLDER_CREATE_CREATEFORUM
    Operation type ("DiscussionAppFolder.create.createForum")
    See Also:
      - Constant Field Values

  - ### DISCUSSIONAPPFOLDER_VIEW_VIEWPRIVATEFOLDERFORUM

    public static final String DISCUSSIONAPPFOLDER_VIEW_VIEWPRIVATEFOLDERFORUM
    Operation type ("DiscussionAppFolder.view.viewPrivateFolderForum")
    See Also:
      - Constant Field Values

  - ### DISCUSSIONAPPFOLDER_VIEW_VIEW

    public static final String DISCUSSIONAPPFOLDER_VIEW_VIEW
    Operation type ("DiscussionAppFolder.view.view")
    See Also:
      - Constant Field Values

  - ### DISCUSSIONAPPFOLDER_ADMIN_ADMIN

    public static final String DISCUSSIONAPPFOLDER_ADMIN_ADMIN
    Operation type ("DiscussionAppFolder.admin.admin")
    See Also:
      - Constant Field Values

  - ### FORUM_VIEW_VIEW

    public static final String FORUM_VIEW_VIEW
    Operation type ("Forum.view.view")
    See Also:
      - Constant Field Values

  - ### FORUM_CREATE_CREATETOPIC

    public static final String FORUM_CREATE_CREATETOPIC
    Operation type ("Forum.create.createTopic")
    See Also:
      - Constant Field Values

  - ### FORUM_EDIT_EDIT

    public static final String FORUM_EDIT_EDIT
    Operation type ("Forum.edit.edit")
    See Also:
      - Constant Field Values

  - ### FORUM_DELETE_DELETE

    public static final String FORUM_DELETE_DELETE
    Operation type ("Forum.delete.delete")
    See Also:
      - Constant Field Values

  - ### FORUM_VIEW_VIEWPRIVATEFORUM

    public static final String FORUM_VIEW_VIEWPRIVATEFORUM
    Operation type ("Forum.view.viewPrivateForum")
    See Also:
      - Constant Field Values

  - ### FORUM_CREATE_CREATEPRIVATETOPIC

    public static final String FORUM_CREATE_CREATEPRIVATETOPIC
    Operation type ("Forum.create.createPrivateTopic")
    See Also:
      - Constant Field Values

  - ### FORUM_DELETE_DELETEPRIVATEFORUM

    public static final String FORUM_DELETE_DELETEPRIVATEFORUM
    Operation type ("Forum.delete.deletePrivateForum")
    See Also:
      - Constant Field Values

  - ### TOPIC_VIEW_VIEW

    public static final String TOPIC_VIEW_VIEW
    Operation type ("Topic.view.view")
    See Also:
      - Constant Field Values

  - ### TOPIC_CREATE_CREATEPOST

    public static final String TOPIC_CREATE_CREATEPOST
    Operation type ("Topic.create.createPost")
    See Also:
      - Constant Field Values

  - ### TOPIC_EDIT_EDIT

    public static final String TOPIC_EDIT_EDIT
    Operation type ("Topic.edit.edit")
    See Also:
      - Constant Field Values

  - ### TOPIC_DELETE_DELETE

    public static final String TOPIC_DELETE_DELETE
    Operation type ("Topic.delete.delete")
    See Also:
      - Constant Field Values

  - ### TOPIC_VIEW_VIEWPRIVATETOPIC

    public static final String TOPIC_VIEW_VIEWPRIVATETOPIC
    Operation type ("Topic.view.viewPrivateTopic")
    See Also:
      - Constant Field Values

  - ### TOPIC_CREATE_CREATEPRIVATEPOST

    public static final String TOPIC_CREATE_CREATEPRIVATEPOST
    Operation type ("Topic.create.createPrivatePost")
    See Also:
      - Constant Field Values

  - ### TOPIC_EDIT_EDITPRIVATETOPIC

    public static final String TOPIC_EDIT_EDITPRIVATETOPIC
    Operation type ("Topic.edit.editPrivateTopic")
    See Also:
      - Constant Field Values

  - ### TOPIC_DELETE_DELETEPRIVATETOPIC

    public static final String TOPIC_DELETE_DELETEPRIVATETOPIC
    Operation type ("Topic.delete.deletePrivateTopic")
    See Also:
      - Constant Field Values

  - ### POST_VIEW_VIEW

    public static final String POST_VIEW_VIEW
    Operation type ("Post.view.view")
    See Also:
      - Constant Field Values

  - ### POST_EDIT_EDIT

    public static final String POST_EDIT_EDIT
    Operation type ("Post.edit.edit")
    See Also:
      - Constant Field Values

  - ### POST_DELETE_DELETE

    public static final String POST_DELETE_DELETE
    Operation type ("Post.delete.delete")
    See Also:
      - Constant Field Values

  - ### POST_VIEW_VIEWPRIVATEPOST

    public static final String POST_VIEW_VIEWPRIVATEPOST
    Operation type ("Post.view.viewPrivatePost")
    See Also:
      - Constant Field Values

  - ### POST_EDIT_EDITPRIVATEPOST

    public static final String POST_EDIT_EDITPRIVATEPOST
    Operation type ("Post.edit.editPrivatePost")
    See Also:
      - Constant Field Values

  - ### POST_DELETE_DELETEPRIVATEPOST

    public static final String POST_DELETE_DELETEPRIVATEPOST
    Operation type ("Post.delete.deletePrivatePost")
    See Also:
      - Constant Field Values

  - ### DOCUMENTAPPFOLDER_VIEW_VIEW

    public static final String DOCUMENTAPPFOLDER_VIEW_VIEW
    Operation type ("DocumentAppFolder.view.view")
    See Also:
      - Constant Field Values

  - ### DOCUMENTFOLDER_ADMIN_ADMIN

    public static final String DOCUMENTFOLDER_ADMIN_ADMIN
    Operation type ("DocumentFolder.admin.admin")
    See Also:
      - Constant Field Values

  - ### DOCUMENTFOLDER_CREATE_CREATEDOCUMENTFOLDER

    public static final String DOCUMENTFOLDER_CREATE_CREATEDOCUMENTFOLDER
    Operation type ("DocumentFolder.create.createDocumentFolder")
    See Also:
      - Constant Field Values

  - ### DOCUMENTFOLDER_CREATE_CREATEDOCUMENT

    public static final String DOCUMENTFOLDER_CREATE_CREATEDOCUMENT
    Operation type ("DocumentFolder.create.createDocument")
    See Also:
      - Constant Field Values

  - ### DOCUMENTFOLDER_DELETE_DELETE

    public static final String DOCUMENTFOLDER_DELETE_DELETE
    Operation type ("DocumentFolder.delete.delete")
    See Also:
      - Constant Field Values

  - ### DOCUMENTFOLDER_EDIT_EDIT

    public static final String DOCUMENTFOLDER_EDIT_EDIT
    Operation type ("DocumentFolder.edit.edit")
    See Also:
      - Constant Field Values

  - ### DOCUMENTFOLDER_VIEW_VIEW

    public static final String DOCUMENTFOLDER_VIEW_VIEW
    Operation type ("DocumentFolder.view.view")
    See Also:
      - Constant Field Values

  - ### DOCUMENT_ADMIN_FORCE_UNLOCK

    public static final String DOCUMENT_ADMIN_FORCE_UNLOCK
    Operation type ("Document.admin.force_unlock")
    See Also:
      - Constant Field Values

  - ### DOCUMENT_DELETE_DELETE

    public static final String DOCUMENT_DELETE_DELETE
    Operation type ("Document.delete.delete")
    See Also:
      - Constant Field Values

  - ### DOCUMENT_EDIT_EDIT

    public static final String DOCUMENT_EDIT_EDIT
    Operation type ("Document.edit.edit")
    See Also:
      - Constant Field Values

  - ### DOCUMENT_VIEW_VIEW

    public static final String DOCUMENT_VIEW_VIEW
    Operation type ("Document.view.view")
    See Also:
      - Constant Field Values

  - ### FRSAPPFOLDER_CREATE_CREATEPACKAGE

    public static final String FRSAPPFOLDER_CREATE_CREATEPACKAGE
    Operation type ("FrsAppFolder.create.createPackage")
    See Also:
      - Constant Field Values

  - ### FRSAPPFOLDER_VIEW_VIEW

    public static final String FRSAPPFOLDER_VIEW_VIEW
    Operation type ("FrsAppFolder.view.view")
    See Also:
      - Constant Field Values

  - ### PACKAGE_CREATE_CREATERELEASE

    public static final String PACKAGE_CREATE_CREATERELEASE
    Operation type ("Package.create.createRelease")
    See Also:
      - Constant Field Values

  - ### PACKAGE_DELETE_DELETE

    public static final String PACKAGE_DELETE_DELETE
    Operation type ("Package.delete.delete")
    See Also:
      - Constant Field Values

  - ### PACKAGE_EDIT_EDIT

    public static final String PACKAGE_EDIT_EDIT
    Operation type ("Package.edit.edit")
    See Also:
      - Constant Field Values

  - ### PACKAGE_VIEW_VIEW

    public static final String PACKAGE_VIEW_VIEW
    Operation type ("Package.view.view")
    See Also:
      - Constant Field Values

  - ### RELEASE_CREATE_CREATEFRSFILE

    public static final String RELEASE_CREATE_CREATEFRSFILE
    Operation type ("Release.create.createFrsFile")
    See Also:
      - Constant Field Values

  - ### RELEASE_DELETE_DELETE

    public static final String RELEASE_DELETE_DELETE
    Operation type ("Release.delete.delete")
    See Also:
      - Constant Field Values

  - ### RELEASE_EDIT_EDIT

    public static final String RELEASE_EDIT_EDIT
    Operation type ("Release.edit.edit")
    See Also:
      - Constant Field Values

  - ### RELEASE_VIEW_VIEW

    public static final String RELEASE_VIEW_VIEW
    Operation type ("Release.view.view")
    See Also:
      - Constant Field Values

  - ### FRSFILE_DELETE_DELETE

    public static final String FRSFILE_DELETE_DELETE
    Operation type ("FrsFile.delete.delete")
    See Also:
      - Constant Field Values

  - ### FRSFILE_EDIT_EDIT

    public static final String FRSFILE_EDIT_EDIT
    Operation type ("FrsFile.edit.edit")
    See Also:
      - Constant Field Values

  - ### FRSFILE_VIEW_VIEW

    public static final String FRSFILE_VIEW_VIEW
    Operation type ("FrsFile.view.view")
    See Also:
      - Constant Field Values

  - ### SCMAPPFOLDER_CREATE_CREATEREPOSITORY

    public static final String SCMAPPFOLDER_CREATE_CREATEREPOSITORY
    Operation type ("ScmAppFolder.create.createRepository")
    See Also:
      - Constant Field Values

  - ### SCMAPPFOLDER_VIEW_VIEW

    public static final String SCMAPPFOLDER_VIEW_VIEW
    Operation type ("ScmAppFolder.view.view")
    See Also:
      - Constant Field Values

  - ### REPOSITORY_VIEW_RBAC

    public static final String REPOSITORY_VIEW_RBAC
    Operation type ("Repository.view.rbac")
    See Also:
      - Constant Field Values

  - ### REPOSITORY_DELETE_DELETE

    public static final String REPOSITORY_DELETE_DELETE
    Operation type ("Repository.delete.delete")
    See Also:
      - Constant Field Values

  - ### REPOSITORY_EDIT_EDIT

    public static final String REPOSITORY_EDIT_EDIT
    Operation type ("Repository.edit.edit")
    See Also:
      - Constant Field Values

  - ### REPOSITORY_USE_ACCESS

    public static final String REPOSITORY_USE_ACCESS
    Operation type ("Repository.use.access")
    See Also:
      - Constant Field Values

  - ### REPOSITORY_VIEW_VIEW

    public static final String REPOSITORY_VIEW_VIEW
    Operation type ("Repository.view.view")
    See Also:
      - Constant Field Values

  - ### COMMIT_EDIT_EDIT

    public static final String COMMIT_EDIT_EDIT
    Operation type ("Commit.edit.edit")
    See Also:
      - Constant Field Values

  - ### COMMIT_VIEW_VIEW

    public static final String COMMIT_VIEW_VIEW
    Operation type ("Commit.view.view")
    See Also:
      - Constant Field Values

  - ### REPOSITORY_FGP_FGP

    public static final String REPOSITORY_FGP_FGP
    Operation type ("Repository.fgp.fgp")
    See Also:
      - Constant Field Values

  - ### TRACKERAPPFOLDER_CREATE_CREATETRACKER

    public static final String TRACKERAPPFOLDER_CREATE_CREATETRACKER
    Operation type ("TrackerAppFolder.create.createTracker")
    See Also:
      - Constant Field Values

  - ### TRACKERAPPFOLDER_VIEW_VIEW

    public static final String TRACKERAPPFOLDER_VIEW_VIEW
    Operation type ("TrackerAppFolder.view.view")
    See Also:
      - Constant Field Values

  - ### TRACKERAPPFOLDER_ADMIN_ADMIN

    public static final String TRACKERAPPFOLDER_ADMIN_ADMIN
    Operation type ("TrackerAppFolder.admin.admin")
    See Also:
      - Constant Field Values

  - ### TRACKER_ADMIN_ADMIN

    public static final String TRACKER_ADMIN_ADMIN
    Operation type ("Tracker.admin.admin")
    See Also:
      - Constant Field Values

  - ### TRACKER_CREATE_CREATEARTIFACT

    public static final String TRACKER_CREATE_CREATEARTIFACT
    Operation type ("Tracker.create.createArtifact")
    See Also:
      - Constant Field Values

  - ### TRACKER_DELETE_DELETE

    public static final String TRACKER_DELETE_DELETE
    Operation type ("Tracker.delete.delete")
    See Also:
      - Constant Field Values

  - ### TRACKER_EDIT_EDIT

    public static final String TRACKER_EDIT_EDIT
    Operation type ("Tracker.edit.edit")
    See Also:
      - Constant Field Values

  - ### TRACKER_VIEW_VIEW

    public static final String TRACKER_VIEW_VIEW
    Operation type ("Tracker.view.view")
    See Also:
      - Constant Field Values

  - ### ARTIFACT_DELETE_DELETE

    public static final String ARTIFACT_DELETE_DELETE
    Operation type ("Artifact.delete.delete")
    See Also:
      - Constant Field Values

  - ### ARTIFACT_EDIT_EDIT

    public static final String ARTIFACT_EDIT_EDIT
    Operation type ("Artifact.edit.edit")
    See Also:
      - Constant Field Values

  - ### ARTIFACT_VIEW_VIEW

    public static final String ARTIFACT_VIEW_VIEW
    Operation type ("Artifact.view.view")
    See Also:
      - Constant Field Values

  - ### PLANNINGAPPFOLDER_ADMIN_ADMIN

    public static final String PLANNINGAPPFOLDER_ADMIN_ADMIN
    Operation type ("PlanningAppFolder.admin.admin")
    See Also:
      - Constant Field Values

  - ### PLANNINGAPPFOLDER_ADMIN_RANK

    public static final String PLANNINGAPPFOLDER_ADMIN_RANK
    Operation type ("PlanningAppFolder.admin.rank")
    See Also:
      - Constant Field Values

  - ### PLANNINGAPPFOLDER_DELETE_DELETE

    public static final String PLANNINGAPPFOLDER_DELETE_DELETE
    Operation type ("PlanningAppFolder.delete.delete")
    See Also:
      - Constant Field Values

  - ### BASELINE_ADMIN_ADMIN

    public static final String BASELINE_ADMIN_ADMIN
    Operation type ("Baseline.admin.admin")
    See Also:
      - Constant Field Values

  - ### BASELINE_VIEW_VIEW

    public static final String BASELINE_VIEW_VIEW
    Operation type ("Baseline.view.view")
    See Also:
      - Constant Field Values

  - ### BASELINE_VIEW_REVIEW

    public static final String BASELINE_VIEW_REVIEW
    Operation type ("Baseline.view.review")
    See Also:
      - Constant Field Values

  - ### BASELINE_VIEW_PACKAGEDOWNLOAD

    public static final String BASELINE_VIEW_PACKAGEDOWNLOAD
    Operation type ("Baseline.view.packageDownload")
    See Also:
      - Constant Field Values

  - ### BASELINE_VIEW_PACKAGEGENERATION

    public static final String BASELINE_VIEW_PACKAGEGENERATION
    Operation type ("Baseline.view.packageGeneration")
    See Also:
      - Constant Field Values

  - ### BASELINE_CREATE_CREATEBASELINE

    public static final String BASELINE_CREATE_CREATEBASELINE
    Operation type ("Baseline.create.createBaseline")
    See Also:
      - Constant Field Values

  - ### BASELINE_CREATE_CREATEPROJECTBASELINE

    public static final String BASELINE_CREATE_CREATEPROJECTBASELINE
    Operation type ("Baseline.create.createProjectBaseline")
    See Also:
      - Constant Field Values

  - ### BASELINE_EDIT_CONFIGUREBDEF

    public static final String BASELINE_EDIT_CONFIGUREBDEF
    Operation type ("Baseline.edit.configureBDef")
    See Also:
      - Constant Field Values

  - ### BASELINE_DELETE_DELETEBASELINE

    public static final String BASELINE_DELETE_DELETEBASELINE
    Operation type ("Baseline.delete.deleteBaseline")
    See Also:
      - Constant Field Values

  - ### BASELINE_DELETE_DELETEBASELINEDEFINITION

    public static final String BASELINE_DELETE_DELETEBASELINEDEFINITION
    Operation type ("Baseline.delete.deleteBaselineDefinition")
    See Also:
      - Constant Field Values

  - ### DATAMARTAPPFOLDER_VIEW_VIEW

    public static final String DATAMARTAPPFOLDER_VIEW_VIEW
    Operation type ("DatamartAppFolder.view.view")
    See Also:
      - Constant Field Values

  - ### WIKIPAGE_VIEW_VIEW

    public static final String WIKIPAGE_VIEW_VIEW
    Operation type ("WikiPage.view.view")
    See Also:
      - Constant Field Values

  - ### WIKIPAGE_EDIT_EDIT

    public static final String WIKIPAGE_EDIT_EDIT
    Operation type ("WikiPage.edit.edit")
    See Also:
      - Constant Field Values

  - ### WIKIPAGE_DELETE_DELETE

    public static final String WIKIPAGE_DELETE_DELETE
    Operation type ("WikiPage.delete.delete")
    See Also:
      - Constant Field Values

  - ### WIKIAPPFOLDER_CREATE_CREATEWIKIPAGE

    public static final String WIKIAPPFOLDER_CREATE_CREATEWIKIPAGE
    Operation type ("WikiAppFolder.create.createWikiPage")
    See Also:
      - Constant Field Values

  - ### WIKIAPPFOLDER_VIEW_VIEW

    public static final String WIKIAPPFOLDER_VIEW_VIEW
    Operation type ("WikiAppFolder.view.view")
    See Also:
      - Constant Field Values

  - ### WIKIPAGE_ADMIN_ADMIN

    public static final String WIKIPAGE_ADMIN_ADMIN
    Operation type ("WikiPage.admin.admin")
    See Also:
      - Constant Field Values

  - ### PAGEAPPFOLDER_VIEW_VIEW

    public static final String PAGEAPPFOLDER_VIEW_VIEW
    Operation type ("PageAppFolder.view.view")
    See Also:
      - Constant Field Values

  - ### PAGEAPPFOLDER_DELETE_DELETEPAGE

    public static final String PAGEAPPFOLDER_DELETE_DELETEPAGE
    Operation type ("PageAppFolder.delete.deletePage")
    See Also:
      - Constant Field Values

  - ### PAGEAPPFOLDER_CREATE_CREATEPAGE

    public static final String PAGEAPPFOLDER_CREATE_CREATEPAGE
    Operation type ("PageAppFolder.create.createPage")
    See Also:
      - Constant Field Values

  - ### PAGE_DELETE_DELETEPAGE

    public static final String PAGE_DELETE_DELETEPAGE
    Operation type ("Page.delete.deletePage")
    See Also:
      - Constant Field Values

  - ### PAGE_CREATE_CREATEPAGE

    public static final String PAGE_CREATE_CREATEPAGE
    Operation type ("Page.create.createPage")
    See Also:
      - Constant Field Values

  - ### PAGE_VIEW_VIEW

    public static final String PAGE_VIEW_VIEW
    Operation type ("Page.view.view")
    See Also:
      - Constant Field Values

  - ### PAGE_DELETE_DELETEPAGECOMPONENT

    public static final String PAGE_DELETE_DELETEPAGECOMPONENT
    Operation type ("Page.delete.deletePageComponent")
    See Also:
      - Constant Field Values

  - ### PAGE_CREATE_CREATEPAGECOMPONENT

    public static final String PAGE_CREATE_CREATEPAGECOMPONENT
    Operation type ("Page.create.createPageComponent")
    See Also:
      - Constant Field Values

  - ### PAGE_EDIT_EDITPAGE

    public static final String PAGE_EDIT_EDITPAGE
    Operation type ("Page.edit.editPage")
    See Also:
      - Constant Field Values

  - ### PAGECOMPONENT_VIEW_VIEW

    public static final String PAGECOMPONENT_VIEW_VIEW
    Operation type ("PageComponent.view.view")
    See Also:
      - Constant Field Values

  - ### PAGE_EDIT_EDITHTML

    public static final String PAGE_EDIT_EDITHTML
    Operation type ("Page.edit.editHtml")
    See Also:
      - Constant Field Values

  - ### USER_ADMIN_ADMIN

    public static final String USER_ADMIN_ADMIN
    Operation type ("User.admin.admin")
    See Also:
      - Constant Field Values

  - ### USER_CREATE_CREATE

    public static final String USER_CREATE_CREATE
    Operation type ("User.create.create")
    See Also:
      - Constant Field Values

  - ### USER_EDIT_EDIT

    public static final String USER_EDIT_EDIT
    Operation type ("User.edit.edit")
    See Also:
      - Constant Field Values

  - ### USER_EDIT_MANAGEPREFERENCE

    public static final String USER_EDIT_MANAGEPREFERENCE
    Operation type ("User.edit.managePreference")
    See Also:
      - Constant Field Values

  - ### USER_EDIT_MANAGEKEYS

    public static final String USER_EDIT_MANAGEKEYS
    Operation type ("User.edit.manageKeys")
    See Also:
      - Constant Field Values

  - ### USER_EDIT_DISABLE

    public static final String USER_EDIT_DISABLE
    Operation type ("User.edit.disable")
    See Also:
      - Constant Field Values

  - ### USER_EDIT_ACTIVATE

    public static final String USER_EDIT_ACTIVATE
    Operation type ("User.edit.activate")
    See Also:
      - Constant Field Values

  - ### USER_DELETE_DELETE

    public static final String USER_DELETE_DELETE
    Operation type ("User.delete.delete")
    See Also:
      - Constant Field Values

  - ### USER_VIEW_VIEW

    public static final String USER_VIEW_VIEW
    Operation type ("User.view.view")
    See Also:
      - Constant Field Values

  - ### USER_VIEW_LIST

    public static final String USER_VIEW_LIST
    Operation type ("User.view.list")
    See Also:
      - Constant Field Values

  - ### GROUP_ADMIN_ADMIN

    public static final String GROUP_ADMIN_ADMIN
    Operation type ("Group.admin.admin")
    See Also:
      - Constant Field Values

  - ### GROUP_CREATE_CREATE

    public static final String GROUP_CREATE_CREATE
    Operation type ("Group.create.create")
    See Also:
      - Constant Field Values

  - ### GROUP_EDIT_EDIT

    public static final String GROUP_EDIT_EDIT
    Operation type ("Group.edit.edit")
    See Also:
      - Constant Field Values

  - ### GROUP_EDIT_ADDUSER

    public static final String GROUP_EDIT_ADDUSER
    Operation type ("Group.edit.addUser")
    See Also:
      - Constant Field Values

  - ### GROUP_EDIT_REMOVEUSER

    public static final String GROUP_EDIT_REMOVEUSER
    Operation type ("Group.edit.removeUser")
    See Also:
      - Constant Field Values

  - ### GROUP_DELETE_DELETE

    public static final String GROUP_DELETE_DELETE
    Operation type ("Group.delete.delete")
    See Also:
      - Constant Field Values

  - ### GROUP_VIEW_VIEW

    public static final String GROUP_VIEW_VIEW
    Operation type ("Group.view.view")
    See Also:
      - Constant Field Values

  - ### GROUP_VIEW_LIST

    public static final String GROUP_VIEW_LIST
    Operation type ("Group.view.list")
    See Also:
      - Constant Field Values

  - ### CATEGORY_ADMIN_ADMIN

    public static final String CATEGORY_ADMIN_ADMIN
    Operation type ("Category.admin.admin")
    See Also:
      - Constant Field Values

  - ### CATEGORY_CREATE_CREATE

    public static final String CATEGORY_CREATE_CREATE
    Operation type ("Category.create.create")
    See Also:
      - Constant Field Values

  - ### CATEGORY_DELETE_DELETE

    public static final String CATEGORY_DELETE_DELETE
    Operation type ("Category.delete.delete")
    See Also:
      - Constant Field Values

  - ### CATEGORY_EDIT_EDIT

    public static final String CATEGORY_EDIT_EDIT
    Operation type ("Category.edit.edit")
    See Also:
      - Constant Field Values

  - ### CATEGORY_VIEW_VIEW

    public static final String CATEGORY_VIEW_VIEW
    Operation type ("Category.view.view")
    See Also:
      - Constant Field Values

  - ### CATEGORY_VIEW_LIST

    public static final String CATEGORY_VIEW_LIST
    Operation type ("Category.view.list")
    See Also:
      - Constant Field Values

  - ### SYSTOOLS_VIEW_VIEW

    public static final String SYSTOOLS_VIEW_VIEW
    Operation type ("SysTools.view.view")
    See Also:
      - Constant Field Values

  - ### SYSTOOLS_VIEW_LIST

    public static final String SYSTOOLS_VIEW_LIST
    Operation type ("SysTools.view.list")
    See Also:
      - Constant Field Values

  - ### PROJECTGROUP_ADMIN_ADMIN

    public static final String PROJECTGROUP_ADMIN_ADMIN
    Operation type ("ProjectGroup.admin.admin")
    See Also:
      - Constant Field Values

  - ### PROJECTGROUP_CREATE_CREATE

    public static final String PROJECTGROUP_CREATE_CREATE
    Operation type ("ProjectGroup.create.create")
    See Also:
      - Constant Field Values

  - ### PROJECTGROUP_DELETE_DELETE

    public static final String PROJECTGROUP_DELETE_DELETE
    Operation type ("ProjectGroup.delete.delete")
    See Also:
      - Constant Field Values

  - ### PROJECTGROUP_VIEW_VIEW

    public static final String PROJECTGROUP_VIEW_VIEW
    Operation type ("ProjectGroup.view.view")
    See Also:
      - Constant Field Values

  - ### PROJECTGROUP_VIEW_LIST

    public static final String PROJECTGROUP_VIEW_LIST
    Operation type ("ProjectGroup.view.list")
    See Also:
      - Constant Field Values

  - ### INTEGRATION_VIEW_VIEW

    public static final String INTEGRATION_VIEW_VIEW
    Operation type ("Integration.view.view")
    See Also:
      - Constant Field Values

  - ### INTEGRATION_VIEW_LIST

    public static final String INTEGRATION_VIEW_LIST
    Operation type ("Integration.view.list")
    See Also:
      - Constant Field Values

  - ### INTEGRATION_VIEW_VIEW_SCM

    public static final String INTEGRATION_VIEW_VIEW_SCM
    Operation type ("Integration.view.view_scm")
    See Also:
      - Constant Field Values

  - ### INTEGRATION_EDIT_EDIT_SCM

    public static final String INTEGRATION_EDIT_EDIT_SCM
    Operation type ("Integration.edit.edit_scm")
    See Also:
      - Constant Field Values

  - ### INTEGRATION_VIEW_VIEW_SWLA

    public static final String INTEGRATION_VIEW_VIEW_SWLA
    Operation type ("Integration.view.view_swla")
    See Also:
      - Constant Field Values

  - ### INTEGRATION_EDIT_EDIT_SWLA

    public static final String INTEGRATION_EDIT_EDIT_SWLA
    Operation type ("Integration.edit.edit_swla")
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### OperationConstants

    public OperationConstants()